Bug 982307 - SELinux is preventing /usr/sbin/ovs-vswitchd (deleted) from 'block_suspend' accesses on the capability2 .
SELinux is preventing /usr/sbin/ovs-vswitchd (deleted) from 'block_suspend' a...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:aa33cb153a4593c9ce94ca069ba...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 11:47 EDT by Arindam Choudhury
Modified: 2013-08-14 22:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.11.1-100.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-14 22:54:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arindam Choudhury 2013-07-08 11:47:59 EDT
Description of problem:
nova delete <vm-instance-id>
SELinux is preventing /usr/sbin/ovs-vswitchd (deleted) from 'block_suspend' accesses on the capability2 .

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that ovs-vswitchd (deleted) should be allowed block_suspend access on the  capability2 by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep ovs-vswitchd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:openvswitch_t:s0
Target Context                system_u:system_r:openvswitch_t:s0
Target Objects                 [ capability2 ]
Source                        ovs-vswitchd
Source Path                   /usr/sbin/ovs-vswitchd (deleted)
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-97.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.9.6-200.fc18.x86_64 #1 SMP Thu
                              Jun 13 18:56:55 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-07-08 17:46:25 CEST
Last Seen                     2013-07-08 17:46:25 CEST
Local ID                      679095e2-3e02-4065-abc0-cecfebed8cd4

Raw Audit Messages
type=AVC msg=audit(1373298385.901:24349): avc:  denied  { block_suspend } for  pid=4378 comm="ovs-vswitchd" capability=36  scontext=system_u:system_r:openvswitch_t:s0 tcontext=system_u:system_r:openvswitch_t:s0 tclass=capability2


type=SYSCALL msg=audit(1373298385.901:24349): arch=x86_64 syscall=epoll_ctl success=yes exit=0 a0=13 a1=2 a2=25 a3=0 items=0 ppid=4377 pid=4378 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=ovs-vswitchd exe=2F7573722F7362696E2F6F76732D7673776974636864202864656C6574656429 subj=system_u:system_r:openvswitch_t:s0 key=(null)

Hash: ovs-vswitchd,openvswitch_t,openvswitch_t,capability2,block_suspend

audit2allow

#============= openvswitch_t ==============
allow openvswitch_t self:capability2 block_suspend;

audit2allow -R
require {
	type openvswitch_t;
	class capability2 block_suspend;
}

#============= openvswitch_t ==============
allow openvswitch_t self:capability2 block_suspend;


Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.6-200.fc18.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-07-10 05:18:56 EDT
Back ported from F19.
Comment 2 Fedora Update System 2013-08-05 01:41:12 EDT
selinux-policy-3.11.1-99.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-99.fc18
Comment 3 Fedora Update System 2013-08-05 20:14:44 EDT
Package selinux-policy-3.11.1-99.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-99.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14256/selinux-policy-3.11.1-99.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-08-07 07:12:45 EDT
selinux-policy-3.11.1-100.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-100.fc18
Comment 5 Fedora Update System 2013-08-14 22:54:14 EDT
selinux-policy-3.11.1-100.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.